<? 
$currencies = Model_Currencies::getAllAssoc();
?>

<form class="form ajax-form" action="<?= '/'.Cubix_I18n::getLang().$this->getLink('edit-profile') ?>?step=servicesStep&escort=<?= $this->escort->id ?>"
    method="post">

    <input type="hidden" name="then" />
    <input type="hidden" name="escort" value="<?= $this->escort_id ?>" />
    <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

    <div class="progress">
        <div class="progress-bar progress-bar-striped" role="progressbar" aria-valuenow="0"
            aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div>
    </div>

    <div class="errors-container mt-10" id="errors-container" style="display: none;">
        <div class="section-subtitle uppercase">
            <?= __('errors') ?>
        </div>
        <div class="box-section">
            <ol>
                <li class="visible-on-error">
                    <p id="validation-services_offered_for_error"></p>
                </li>
                <li class="visible-on-error">
                    <p id="validation-zip"></p>
                </li>
            </ol>
        </div>
    </div>
    <div class="clear mb-20"></div>

    <section>
        <div class="clear mb-20"></div>

        <div class="d-flex flex-wrap w-100 flex-md-nowrap">
            <div class="siblings-col flex-fill mr-20">
                <div class="section-subtitle uppercase">
                    <?= __('pv2_label_incall') ?>
                </div>
                <div class="box-section inputs-container calling_section">
                    <div>
                        <input type="checkbox" id="incall_check" name="incall" value="1" <?=$this->data['incall_type']
                        ? ' checked="checked"' : '' ?>>
                        <label for="incall_check">
                            <?= __('pv2_label_incall') ?></label>
                    </div>
                    <div class="clear mb-10"></div>
                    <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                        <input id="zip" type="text" name="zip" value="<?= $this->data['zip'] ?>" placeholder="<?= __('pv2_label_zip_code') ?>"
                            <?=$this->data['incall_type'] ? '' : ' disabled="disabled"' ?>>
                    </div>
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown" <?=$this->data['incall_type'] ? '' : 'disabled' ?>>

                            <?
                            $incall_types = [
                                ['text' => __('pv2_label_private_apartment'), 'id' => AVAILABILITY_INCALL_PRIVATE_APARTMENT],
                                ['text' => __('pv2_label_hotel_room'), 'id' => AVAILABILITY_INCALL_HOTEL_ROOM],
                                ['text' => __('pv2_label_club_studio'), 'id' => AVAILABILITY_INCALL_CLUB_STUDIO],
                                ['text' => __('pv2_label_incall_other'), 'id' => AVAILABILITY_INCALL_OTHER]
                            ];
                            ?>

                            <select class="single-option-select d-none" name="incall_type">
                                <option></option>
                                <? foreach ($incall_types as $item) : ?>
                                <? if ($this->data['incall_type'] == $item['id']) $primary_incall_type = $item['text'] ?>
                                <option value="<?= $item['id'] ?>" <?=$this->data['incall_type'] == $item['id'] ? '
                                    selected="selected"' : '' ?>>
                                    <?= $item['text']; ?>
                                </option>
                                <? endforeach; ?>
                            </select>

                            <a class="dropdown-toggle" id="availableStatusFilter" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <label>
                                    <?= __('availble_for') ?></label>
                                <span class="dropdown-toggle-val uppercase">
                                    <?= $primary_incall_type ? $primary_incall_type : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="availableStatusFilter">
                                <? foreach ($incall_types as $item) : ?>
                                <li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)">
                                        <?= $item['text'] ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                    <div class="d-flex independent dropdown-selection dropdown-rates single-option flex-fill">
                        <div class="dropdown" <?=$this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' :
                            'disabled' ?>>
                            <select class="single-option-select d-none" name="incall_hotel_room">
                                <? for ($i = 1; $i <= 5; $i++) : ?>
                                <option value="<?= $i ?>" <?=$this->data['incall_hotel_room'] == $i ?
                                    'selected="selected"' : '' ?>>
                                    <?= $i ?>
                                </option>
                                <? endfor; ?>
                            </select>
                            <a class="dropdown-toggle" id="starsFilter" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <label>
                                    <?= __('pv2_label_stars') ?></label>
                                <span class="dropdown-toggle-val">
                                    <? for ($i = 1; $i <= 5; $i++) : ?>
                                    <i class="fas fa-star <?= ($this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM && $this->data['incall_hotel_room']) >= $i ? ' active' : '' ?>"></i>
                                    <? endfor; ?>
                                </span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="starsFilter">
                                <? for ($i = 1; $i <= 5; $i++) : ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)">
                                        <? for ($j = 1; $j <= 5; $j++) : ?>
                                        <i class="fas fa-star <?= $j <= $i ? 'active' : '' ?>"></i>
                                        <? endfor; ?>
                                    </a></li>
                                <? endfor; ?>
                            </ul>
                        </div>
                    </div>

                    <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                        <textarea rows="3" placeholder="<?= __('details_here') ?>" id="incall-other-details" name="incall_other"
                            <?=$this->data['incall_type'] ? '' : ' disabled' ?>><?= $this->data['incall_other'] ?></textarea>
                    </div>
                </div>
            </div>

            <div class="siblings-col flex-fill d-flex flex-column">
                <div class="section-subtitle uppercase">
                    <?= __('pv2_label_outcall') ?>
                </div>
                <div class="box-section sibling-height inputs-container calling_section flex-grow-2 h-100">
                    <div>
                        <input type="checkbox" id="outcall_check" name="outcall" value="1" <?=$this->data['outcall_type']
                        ? ' checked="checked"' : '' ?>>
                        <label for="outcall_check">
                            <?= __('pv2_label_outcall') ?></label>
                    </div>
                    <div class="clear mb-10"></div>
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">

                        <?
                        $outcall_types = [
                            ['text' => __('pv2_label_hotel_visits_only'), 'id' => AVAILABILITY_OUTCALL_HOTEL_VISITS],
                            ['text' => __('pv2_label_home_visits_only'), 'id' => AVAILABILITY_OUTCALL_HOME_VISITS],
                            ['text' => __('outcall_type'), 'id' => AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS],
                            ['text' => __('pv2_label_outcall_other'), 'id' => AVAILABILITY_OUTCALL_OTHER]
                        ];
                        ?>

                        <div class="dropdown" <?=$this->data['outcall_type'] ? '' : 'disabled' ?>>
                            <select class="single-option-select d-none" name="outcall_type">
                                <option></option>
                                <? foreach ($outcall_types as $item) : ?>
                                <? if ($this->data['outcall_type'] == $item['id']) $primary_outcall_type = $item['text'] ?>
                                <option value="<?= $item['id'] ?>" <?=$this->data['outcall_type'] == $item['id'] ? '
                                    selected="selected"' : '' ?>>
                                    <?= $item['text'] ?>
                                </option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="outcallAvailableFilter" data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                                <label>
                                    <?= __('availble_for') ?></label>
                                <span class="dropdown-toggle-val uppercase">
                                    <?= $primary_outcall_type ? $primary_outcall_type : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="outcallAvailableFilter">
                                <? foreach ($outcall_types as $item) : ?>
                                <li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)">
                                        <?= $item['text'] ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>

                    <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                        <label class="mobile">
                            <?= __('details_here') ?></label>
                        <textarea id="outcall-other-details" placeholder="<?= __('details_here') ?>" rows="3" name="outcall_other"
                            <?=$this->data['outcall_type'] ? '' : ' disabled' ?>><?= $this->data['outcall_other'] ?></textarea>
                    </div>
                </div>
            </div>
        </div>

        <div class="clear mb-30 mobile-distance"></div>
        <div class="d-flex form-save-reset-panel align-items-center buttons-container">
            <a value="back" class="submit-trigger text-grey uppercase mr-30 previous-step">
                <?= __('pv2_back') ?></a>
            <button class="btn btn-big btn-brown btn-bold uppercase next-step">
                <?= __('finish') ?></button>
        </div>
    </section>
</form>

<script src="<?= _st('private/working-cities.js') ?>"></script>